Skip to main content
POST
/
api
/
v2
/
ethereum
/
slot
/
attestation-duties
Rewards
curl --request POST \
  --url https://beaconcha.in/api/v2/ethereum/slot/attestation-duties \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "slot": {
    "number": 2375680
  },
  "chain": "mainnet"
}
'
{
  "data": [
    {
      "validator": {
        "index": 1,
        "public_key": "<string>"
      },
      "attestation_committee_index": 123,
      "status": "success",
      "finality": "not_finalized",
      "reward": {
        "head": {
          "total": "<string>",
          "reward": "<string>",
          "penalty": "<string>",
          "missed_reward": "<string>"
        },
        "source": {
          "total": "<string>",
          "reward": "<string>",
          "penalty": "<string>",
          "missed_reward": "<string>"
        },
        "target": {
          "total": "<string>",
          "reward": "<string>",
          "penalty": "<string>",
          "missed_reward": "<string>"
        },
        "inactivity_leak_penalty": "<string>",
        "total": "<string>",
        "inclusion_delay": {
          "total": "<string>",
          "missed_reward": "<string>"
        }
      },
      "inclusion_slot": 1,
      "inclusion_delay": 123,
      "inclusion_delay_without_missed_block": 123
    }
  ],
  "paging": {
    "next_cursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.beaconcha.in/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authorization header with value: Bearer YOUR_TOKEN. Refer to the API Keys section to create your API key.

Body

application/json

validator is optional in this request body

Specify a slot using one of the slot number. Selecting by a consensus view may soon be available in a future update.

slot
Number · object
required
chain
enum<string>
default:mainnet
required

The Ethereum chain to query.

Available options:
mainnet,
hoodi
cursor
string
default:""

Cursor value for pagination. See our pagination guide for more details.

page_size
integer
default:10

The number of items to return per page.

Required range: 1 <= x <= 10
validator
Indices/Pubkeys · object

validator is optional in this request body

Response

Successful response.

Response containing detailed information about past or future attestation duties.

data
object[]
required
paging
object